Name:		words
Version:	3.0
Summary:	A dictionary of English words for the /usr/dict directory
Release:	%mkrel 15
License:	Public Domain
Group:		Text tools
URL:		http://www.dcs.shef.ac.uk/research/ilash/Moby/
Source:		http://www.dcs.shef.ac.uk/research/ilash/Moby/mwords.tar.Z
BuildArch:	noarch
BuildRequires:	dos2unix

%description
The words file is a dictionary of English words for the
/usr/share/dict directory. Some programs use this database of
words to check spelling. Password checkers use it to look for bad
passwords.


%prep
%setup -q -c

%build
pushd mwords
dos2unix *; chmod a+r *
cat [1-9]*.??? | grep -E  "^[[:alnum:]'&!,./-]+$" | sort --ignore-case --dictionary-order | uniq > moby

cat <<EOF >license.txt
On June 1, 1996 Grady Ward announced that the fruits of
the Moby project were being placed in the public domain:

The Moby lexicon project is complete and has
been place into the public domain. Use, sell,
rework, excerpt and use in any way on any platform.
    
Placing this material on internal or public servers is
also encouraged. The compiler is not aware of any
export restrictions so freely distribute world-wide.
    
You can verify the public domain status by contacting
   
Grady Ward
3449 Martha Ct.
Arcata, CA  95521-4884
    
daedal@myrealbox.com
EOF
popd

%install
install -d %{buildroot}%{_datadir}/dict
install -m644 mwords/moby %{buildroot}%{_datadir}/dict/linux.words
ln -sf linux.words %{buildroot}%{_datadir}/dict/words

%files
%doc mwords/readme.txt mwords/license.txt
%{_datadir}/dict/linux.words
%{_datadir}/dict/words


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 3.0-15.mga6
+ Revision: 938488
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0-14.mga5
+ Revision: 743712
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0-13.mga5
+ Revision: 690365
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.0-12.mga4
+ Revision: 520180
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.0-11.mga3
+ Revision: 385841
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 3.0-10.mga3
+ Revision: 324885
- fix a dos2unix usage
- clean .spec

* Thu Oct 20 2011 obgr_seneca <obgr_seneca> 3.0-9.mga2
+ Revision: 157009
- replaced egrep by grep -E as told by rpmlint

  + kamil <kamil>
    - new source location
    - clean up

* Sun Jan 23 2011 ahmad <ahmad> 3.0-8.mga1
+ Revision: 34862
- imported package words

